Subject: Ticket Assigned - COMPLAIN for not refunding order number 9604536863
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 03 Feb 2021 04:40:57 +0000

Hi Ezzaldeen Mahyoub,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  COMPLAIN for not refunding order number 9604536863 Hello

Regarding my order:

that order was made on 24-09-2020
I returned some of the items and requested a refund.
Centrepoint/Splash made a mistake and put the refund on My Credit.
I then requested to have them refunded on the same credit card I used for the purshase.
NOTHING HAPPENED SINCE THAT TIME: I HAVE NOT YET RECEIVED MY MONEY.
I have called the customer service more than 40 times, every time they tell me they will solve the problem, nothing done yet.
Even once one lady from management promised me that she will follow up on the case. Nothing Done.
I have sent over 20 e-mails to Splash customer support, every time they reply with automized e-mails saying that they will work on the case, Still nothing done.

This is the worst experience ever and I am really going to complain to Consumer Rights and give very bad reviews.

I want the money transfered to the following account NOW

Ossama Abdallah
NBD bank
Customer Number (CIF): 51318925
IBAN: AE420260001015131892501
Account Number(s): 1015131892501
Private account

from
Taghrid Abdallah
Very mad customer

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2050523